Bug 492574 - Bugs found in nsd scripts in /etc/init.d & /etc/cron.hourly
Bugs found in nsd scripts in /etc/init.d & /etc/cron.hourly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nsd (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 10:17 EDT by Dan Thurman
Modified: 2009-04-10 14:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 14:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Thurman 2009-03-27 10:17:38 EDT
Description of problem:

Cron.hourly of nsdc creates two file:
1) /%1
2) /dev/nul (text file) with text:
   nsdc: no patch necessary. 

There are 2 files that have errors in the code:

1) /etc/init.d/nsd
   + replace 2>%1 with 2>&1, found in 2 places

2) /etc/cron.hourly/nsd
   + Same as (1) above
   + replace /dev/nul with /dev/null in 3 places

Version-Release number of selected component (if applicable):

nsd-3.0.7-3.fc9.i386

How reproducible:

Every time

Steps to Reproduce:
1. Just look for the two files: /%1 & /dev/nul (one "l")
   and/or look @ code mentioned above.
2.
3.
  
Actual results:

Expected results:

There should be no files created: /%1 & /dev/nul

Additional info:

Tested at my end.  Problem is solved for me on F9.
May need to check all Fedora versions containing these errors.
Comment 1 Joe Smith 2009-03-30 11:29:49 EDT
If someone is poking on /etc/init.d/nsd, please consider also making the changes mentioned in issue 243700. There is a link there to a corrected initscript.
Comment 2 Dan Thurman 2009-03-30 12:06:55 EDT
(In reply to comment #1)
> If someone is poking on /etc/init.d/nsd, please consider also making the
> changes mentioned in issue 243700. There is a link there to a corrected
> initscript.

Is this request for the maintainer of initscript?

I had a look at 243700 and tried to review the
script located @ http://devserv.devel.redhat.com/~mmarcini/amd
and this link no longer exist.
Comment 3 Paul Wouters 2009-04-10 14:19:02 EDT
Fixed in 3.2.1-1.

I cannot see issues 243700, so if that issue still remains, please let me know and/or open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.